Request FacilityAppointment
Use this API to request an appointment at a Facility. The appointment will either be Requested or Scheduled depeneding on whether the Facility has enabled instant-booking or not.
Body
- Type: stringcarrierrequired
The name of carrier.
- Type: stringcarrier
_phone required - Type: stringFormat: uuidfacility
_id required - Properties: 1Type: array of objectorder
_info required - Type: integerquantityrequired
Number of pallets or boxes on the truck.
- Type: stringFormat: date-timescheduled
_end _time requiredAs an ISO 8601 date-time string.
- Type: stringFormat: date-timescheduled
_start _time requiredAs an ISO 8601 date-time string.
- Type: stringtyperequired
Either
Inboundfor deliveries orOutboundfor pickups. - Type: stringunitsrequired
The packaging type of the truckload, as configured by the
Facility(e.g.Pallets,Boxes). - Type: stringcarrier
_driver - Type: stringcarrier
_email deprecatedUse
carrier_emailsinstead. - Type: array of stringcarrier
_emails Additional carrier emails on the
FacilityAppointment.
Responses
Request Example for post/conduit.v1.request_facility_appointment
curl https://api.getconduit.ai/conduit.v1.request_facility_appointment \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"facility_id": "2aae24c7-438d-473f-aba8-7793b7efdec3",
"scheduled_start_time": "2023-05-11T11:00:00-07:00",
"scheduled_end_time": "2023-05-11T13:00:00-07:00",
"type": "Inbound",
"carrier": "",
"carrier_emails": [
"[email protected]",
"[email protected]"
],
"shipper": "Sierra Bottling",
"shipper_emails": [
"[email protected]"
],
"shipper_phone": "",
"receiver": "Globex",
"receiver_emails": [
"[email protected]"
],
"receiver_phone": "",
"carrier_phone": "",
"carrier_driver": "",
"carrier_notes": "Driver will arrive with a 53ft reefer.",
"quantity": 52,
"units": "Pallets",
"load_type_names": [
"Dry Van",
"Reefer"
],
"order_info": [
{
"reference_id": ""
}
]
}'
A confirmed inbound appointment that hasn't checked in yet
{
"id": "0bc8eae3-2e91-43ef-bd4a-164c76618942",
"type": "Inbound",
"scheduled_start_time": "2025-05-11T11:00:00-07:00",
"scheduled_end_time": "2025-05-11T13:00:00-07:00",
"recurring_facility_appointment": null,
"order_info": [
{
"id": "ebac8fbe-6d97-41a6-b294-c48fb1671a77",
"reference_id": "PO-10045",
"external_reference_id": "ERP-55821",
"references": [
{
"id": "5f0c7a1e-3b8d-4f6a-9c2e-1d4b7a8e9f30",
"organization_order_reference_type": "9d1e4c2b-7a3f-4e8d-b6c5-2f1a0e9d8c7b",
"value": "BOL-7781"
}
]
}
],
"created_at": "2025-05-08T16:16:50.702445-07:00",
"updated_at": "2025-05-08T16:16:50.702457-07:00",
"is_work_in": false,
"quantity": 52,
"units": "Pallets",
"carrier": "Ftl Trucks",
"carrier_scac": "FTLT",
"carrier_email": "[email protected],[email protected]",
"carrier_emails": [
"[email protected]",
"[email protected]"
],
"carrier_phone": "+15555550123",
"carrier_driver": "Sam Rivera",
"carrier_notes": "Driver will arrive with a 53ft reefer.",
"dock": null,
"tractor_number": null,
"trailer_number": null,
"seal_number": null,
"estimated_start_datetime": "2025-05-11T11:20:00-07:00",
"checked_in_at": null,
"checked_out_at": null,
"cancelled_at": null,
"cancelled_reason": null,
"cancelled_note": null,
"facility": "2aae24c7-438d-473f-aba8-7793b7efdec3",
"customer": "Globex",
"status": "Scheduled",
"confirmation_code": "TZSKJI",
"shipper_receiver": "Sierra Bottling",
"forklift": null,
"load_started_at": null,
"load_finished_at": null,
"notes": null,
"public_notes": "Use the north gate.",
"loading_type": "Live",
"all_load_types": [
{
"id": "26d42ad5-b259-4596-8f27-9a3fc77dcc08",
"name": "Dry Van"
}
]
}
